SET CONNECTION
Prev | Up | 36.14. Embedded SQL Commands | Home | Next

## SET CONNECTION

SET CONNECTION — select a database connection

## Synopsis

    SET CONNECTION [ TO | = ] connection_name

## Description

`SET CONNECTION` sets the “current” database connection, which is the one that all commands use unless overridden.

## Parameters

`connection_name`

  A database connection name established by the `CONNECT` command.

`CURRENT`

  Set the connection to the current connection (thus, nothing happens).

## Examples

    EXEC SQL SET CONNECTION TO con2;
    EXEC SQL SET CONNECTION = con1;

## Compatibility

`SET CONNECTION` is specified in the SQL standard.

## See Also

CONNECT, DISCONNECT

Prev | Up | Next
SET AUTOCOMMIT | Home | SET DESCRIPTOR